Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MotorCommands Class Reference

A class representing a motor commands vector. More...

`#include <MotorCommands.h>`

Inheritance diagram for MotorCommands:

[legend]
Collaboration diagram for MotorCommands:

[legend]
List of all members.

## Public Member Functions
| MotorCommands ()
| constructs a MotorCommands.
| ~MotorCommands ()
| deconstructs a MotorCommands.
void | setVector (const JointDataBuffer &buffer)
| Fills the joint data buffer.
void | setLED (const LEDValue &led)
| Fills the led buffer.
## Public Attributes
JointDataBuffer | jointDataBuffer
| a buffer with joint data sets sent in one cycle
LEDValue | ledValue
| the current LED values
PIDData | pidData
| the current PID values

## Detailed Description

A class representing a motor commands vector.

Definition at line 18 of file MotorCommands.h.

## Constructor & Destructor Documentation

MotorCommands::MotorCommands | ( |  | ) |

| constructs a MotorCommands. Definition at line 9 of file MotorCommands.cpp.

MotorCommands::~MotorCommands | ( |  | ) |

| deconstructs a MotorCommands. Definition at line 13 of file MotorCommands.cpp.

## Member Function Documentation

void MotorCommands::setVector | ( | const JointDataBuffer & | buffer | ) | `[inline]`

  | Fills the joint data buffer. Parameters:
  buffer | The values that will be copied.
Definition at line 50 of file MotorCommands.h. References jointDataBuffer.

void MotorCommands::setLED | ( | const LEDValue & | led | ) | `[inline]`

  | Fills the led buffer. Parameters:
  led | The values that will be copied.
Definition at line 56 of file MotorCommands.h. References ledValue.

## Member Data Documentation

JointDataBuffer MotorCommands::jointDataBuffer

| a buffer with joint data sets sent in one cycle Definition at line 24 of file MotorCommands.h. Referenced by setVector().

LEDValue MotorCommands::ledValue

| the current LED values Definition at line 29 of file MotorCommands.h. Referenced by setLED().

PIDData MotorCommands::pidData

| the current PID values Definition at line 34 of file MotorCommands.h.

The documentation for this class was generated from the following files:

- Representations/Motion/MotorCommands.h
- Representations/Motion/MotorCommands.cpp